Skip to main content
`Ctrl`+`K`

# EPSSetRG

Associates a region object to the eigensolver.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetRG(EPS eps,RG rg)

Collective

## Input Parameters

- eps - the linear eigensolver context

- rg - the region object

## Note

Use `EPSGetRG()` to retrieve the region context at a later time (for example, to free it at the end of the computations).

## See Also

EPS: Eigenvalue Problem Solver, `EPSGetRG()`

## Level

advanced

## Location

src/eps/interface/epsbasic.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages